Subject: Re: [BEHAVE] I-D Action:draft-ietf-behave-v6v4-xlate-10.txt

From: Xing Li <[email-masked]>
Date: Fri, 05 Mar 2010 17:08:20 +0800

Ramji Vaithianathan (rvaithia) 写道:
> Hi,
>
> In the section 3.1 on IPv4 --> IPv6 translation it is mentioned:
>
>    If the DF bit is set and the packet is not a fragment (i.e., the MF
>    flag is not set and the Fragment Offset is equal to zero) then the
>    translator SHOULD NOT add a Fragment header to the resulting packet.
>
> Will there ever be a case where DF bit is set and packet is still a fragment (MF flag set OR  FragOffset field is non-zero)?  
> Generally if DF bit is set, packets should never be fragmented - right?  Assume we receive such packets, I guess the Translator should drop these packets as mal-formed or should it still translate the packet ignoring the DF bit?
>   

Thanks for the comments. This sentence is from RFC2765. I am not sure if
a special case (fragmented packets with DF=1) exists. Any comments from
the mailing-list?

Regards,

xing

> If there is not going to be any such cases, should we just say -
>    If the DF bit is set, then the translator SHOULD NOT add a Fragment header to the resuling packet
>
> Thanks,
>
> Ramji 
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Xing Li
> Sent: Saturday, February 27, 2010 8:04 PM
> To: [email-masked]
> Subject: Re: [BEHAVE] I-D Action:draft-ietf-behave-v6v4-xlate-10.txt
>
> Hi, All,
>
> We have uploaded a new version of xlate draft based on the comments received during 2nd WGLC.
>
> Thanks.
>
> xing, congxiao
>
> [email-masked] 写道:
>   
>> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>> This draft is a work item of the Behavior Engineering for Hindrance Avoidance Working Group of the IETF.
>>
>>
>> 	Title           : IP/ICMP Translation Algorithm
>> 	Author(s)       : X. Li, et al.
>> 	Filename        : draft-ietf-behave-v6v4-xlate-10.txt
>> 	Pages           : 31
>> 	Date            : 2010-02-27
>>
>> This document forms a replacement of the Stateless IP/ICMP Translation 
>> Algorithm (SIIT) described in RFC 2765.  The algorithm translates 
>> between IPv4 and IPv6 packet headers (including ICMP headers).
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-ietf-behave-v6v4-xlate-10.tx
>> t
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> Below is the data which will enable a MIME compliant mail reader 
>> implementation to automatically retrieve the ASCII version of the 
>> Internet-Draft.
>>   
>> ----------------------------------------------------------------------
>> --
>>
>> _______________________________________________
>> Behave mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/behave
>>   
>>     
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave
>
>
>